require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = 50;
local	indicator_pos_y = -30;

local ObjectTable = GetObjectTable("couch");

couch = simple_object:new{
	anchor_x=95,
	anchor_y=85,
	offset_x=-52,
	offset_y=-6,
	texture="anim/objects/couch/couch",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/couch/couch_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	flipped_animation = true,
	character_cleaning_animation = "doing_stuff_up";
	character_messing_animation = "doing_stuff_up";
	
	messing_state_time = 2000,
	cleaning_state_time = 4500,
	
	check_teamwork = true;
	finish_teamwork = true;
	teamworktask_name = "organizesofa";
	
	cleaning_timer_x = 80;
	cleaning_timer_y = -60;
	
	miss_x = 80;
	miss_y = -60;

	messing_state_time = ObjectTable["messing_time"];
	cleaning_state_time = ObjectTable["cleaning_time"];
	stress_inc = ObjectTable["stress_inc"];

}

function couch:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
